select
    an.numero as numero_animal,
    an.nome as nome_animal,
    an.sexo as sexo,
    an.dtnascimento as data_nascimento,
   ((current_date - an.dtnascimento) / 30.5) as idade_meses,
    (select grausangue from sp_calculagrausangue(an.cdanimal)) as raca,
    pai.numero as numero_pai,
    pai.nome as nome_pai,
    mae.numero as numero_mae,
    mae.nome as nome_mae,
    pe.dtpeso as data_ult_peso,
    pe.peso as ult_peso,
    ap.dtaplicacaoproduto as data_aplicacao,
    pr.nome as produto,
    ap.doseaplicada as dose  
from
    animal an
    left join animal pai on pai.cdanimal = an.cdpai
    left join animal mae on mae.cdanimal = an.cdmae
    left join peso pe on pe.cdpeso =
        (select first 1 re.cdpeso from peso re where re.cdanimal = an.cdanimal order by re.dtpeso desc)
    join aplicacaoproduto ap on ap.cdanimal = an.cdanimal
    join produto pr on pr.cdproduto = ap.cdproduto   
where
    an.tipoanimal = 'A' and
    an.animalrebanho = '1' and
    an.dtbaixa is null
---ALTERAR AQUI O PERODO DE APLICAO, CONFORME DESEJADO. MANTER O FORMATO DA DATA 'AAAA-MM-DD'
    and ap.dtaplicacaoproduto between '2017-01-01' and '2018-05-02'
order by
    an.numero